[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

RE: Subversion 1.4.0 released.

From: Gavin Lambert <gavinl_at_compacsort.com>
Date: 2006-09-12 08:10:50 CEST

Quoth David Anderson <mailto:david.anderson@calixo.net>:
> * Sean Kelley <sean.sweng@gmail.com> [2006-09-12 00:07:22]:
>> Does this change imply that if you are using a third party client
>> like SmartSVN, you need to wait on updating the server until all
>> clients, such as SmartSVN, have been updated to support SVN 1.4?
>
> No. Any 1.X client will continue to work with any 1.Y server
> (though features may be lost, obviously). It means that when
> SmartSVN starts using 1.4 libraries, your working copies will
> be unreadable by previous versions of SmartSVN.

As an example, on one Linux box I'm still running svn 1.0 to talk to our
1.3 server. (The box is running Ubuntu 5.04, and that's the packaged
version available for it. It's too much of a hassle to upgrade at the
moment, since 1.0 is working just fine, and I don't enjoy wrestling with
Linux packages.)

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@subversion.tigris.org
For additional commands, e-mail: users-help@subversion.tigris.org
Received on Tue Sep 12 08:12:07 2006

This is an archived mail posted to the Subversion Users mailing list.